## com.fusioncharts.sampledata
Class RestaurantBean

    java.lang.Object
      com.fusioncharts.sampledata.RestaurantBean

    public class RestaurantBean

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `beverages`
`protected java.lang.String` `chartId`
`protected java.lang.String` `desserts`
`protected java.lang.String` `filename`
`protected java.lang.String` `height`
`protected java.lang.String` `salads`
`protected java.lang.String` `sandwiches`
`protected java.lang.String` `soups`
`protected java.lang.String` `url`
`protected java.lang.String` `width`
`protected java.lang.String` `xml`

Constructor Summary
`RestaurantBean()`

Method Summary
`java.lang.String` `getBeverages()`
`java.lang.String` `getChartId()`
`java.lang.String` `getDesserts()`
`java.lang.String` `getFilename()`
`java.lang.String` `getHeight()`
`java.lang.String` `getSalads()`
`java.lang.String` `getSandwiches()`
`java.lang.String` `getSoups()`
`java.lang.String` `getUrl()`
`java.lang.String` `getWidth()`
`java.lang.String` `getXml()`
`void` `setBeverages(java.lang.String beverages)`
`void` `setChartId(java.lang.String chartId)`
`void` `setDesserts(java.lang.String desserts)`
`void` `setFilename(java.lang.String filename)`
`void` `setHeight(java.lang.String height)`
`void` `setSalads(java.lang.String salads)`
`void` `setSandwiches(java.lang.String sandwiches)`
`void` `setSoups(java.lang.String soups)`
`void` `setUrl(java.lang.String url)`
`void` `setWidth(java.lang.String width)`
`void` `setXml(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xml

    protected java.lang.String xml

### chartId

    protected java.lang.String chartId

### url

    protected java.lang.String url

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

### soups

    protected java.lang.String soups

### salads

    protected java.lang.String salads

### sandwiches

    protected java.lang.String sandwiches

### beverages

    protected java.lang.String beverages

### desserts

    protected java.lang.String desserts

Constructor Detail

### RestaurantBean

    public RestaurantBean()

Method Detail

### getBeverages

    public java.lang.String getBeverages()

  Returns:
    the beverages

### getChartId

    public java.lang.String getChartId()

### getDesserts

    public java.lang.String getDesserts()

  Returns:
    the desserts

### getFilename

    public java.lang.String getFilename()

### getHeight

    public java.lang.String getHeight()

### getSalads

    public java.lang.String getSalads()

  Returns:
    the salads

### getSandwiches

    public java.lang.String getSandwiches()

  Returns:
    the sandwiches

### getSoups

    public java.lang.String getSoups()

  Returns:
    the soups

### getUrl

    public java.lang.String getUrl()

### getWidth

    public java.lang.String getWidth()

### getXml

    public java.lang.String getXml()

### setBeverages

    public void setBeverages(java.lang.String beverages)

  Parameters:
    `beverages` - the beverages to set

### setChartId

    public void setChartId(java.lang.String chartId)

### setDesserts

    public void setDesserts(java.lang.String desserts)

  Parameters:
    `desserts` - the desserts to set

### setFilename

    public void setFilename(java.lang.String filename)

### setHeight

    public void setHeight(java.lang.String height)

### setSalads

    public void setSalads(java.lang.String salads)

  Parameters:
    `salads` - the salads to set

### setSandwiches

    public void setSandwiches(java.lang.String sandwiches)

  Parameters:
    `sandwiches` - the sandwiches to set

### setSoups

    public void setSoups(java.lang.String soups)

  Parameters:
    `soups` - the soups to set

### setUrl

    public void setUrl(java.lang.String url)

### setWidth

    public void setWidth(java.lang.String width)

### setXml

    public void setXml(java.lang.String xml)